Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model.xml
Class JaxbTaskData

    java.lang.Object
      org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject<TaskData>
          org.jbpm.services.task.impl.model.xml.JaxbTaskData

All Implemented Interfaces:
  Externalizable, Serializable, TaskData

    public class JaxbTaskData

extends AbstractJaxbTaskObject<TaskData>
implements TaskData

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject
`realClass`

Constructor Summary
`JaxbTaskData()`
`JaxbTaskData(TaskData taskData)`

Method Summary
`Date` | `getActivationTime()`
`User` | `getActualOwner()`
`String` | `getActualOwnerId()`
`List<Attachment>` | `getAttachments()`
`List<Comment>` | `getComments()`
`User` | `getCreatedBy()`
`String` | `getCreatedById()`
`Date` | `getCreatedOn()`
`String` | `getDeploymentId()`
`org.kie.internal.task.api.model.AccessType` | `getDocumentAccessType()`
`long` | `getDocumentContentId()`
`String` | `getDocumentType()`
`Date` | `getExpirationTime()`
`org.kie.internal.task.api.model.AccessType` | `getFaultAccessType()`
`long` | `getFaultContentId()`
`String` | `getFaultName()`
`String` | `getFaultType()`
`org.kie.internal.task.api.model.AccessType` | `getOutputAccessType()`
`long` | `getOutputContentId()`
`String` | `getOutputType()`
`long` | `getParentId()`
`Status` | `getPreviousStatus()`
`String` | `getProcessId()`
`long` | `getProcessInstanceId()`
`long` | `getProcessSessionId()`
`Status` | `getStatus()`
`long` | `getWorkItemId()`
`boolean` | `isSkipable()`
`void` | `readExternal(ObjectInput in)`
`void` | `setActivationTime(Date activationTime)`
`void` | `setActualOwnerId(String actualOwnerId)`
`void` | `setCreatedById(String createdById)`
`void` | `setCreatedOn(Date createdOn)`
`void` | `setDeploymentId(String deploymentId)`
`void` | `setDocumentAccessType(org.kie.internal.task.api.model.AccessType documentAccessType)`
`void` | `setDocumentContentId(Long documentContentId)`
`void` | `setDocumentType(String documentType)`
`void` | `setExpirationTime(Date expirationTime)`
`void` | `setFaultAccessType(org.kie.internal.task.api.model.AccessType faultAccessType)`
`void` | `setFaultContentId(Long faultContentId)`
`void` | `setFaultName(String faultName)`
`void` | `setFaultType(String faultType)`
`void` | `setJaxbComments(List<JaxbComment> comments)`
`void` | `setOutputAccessType(org.kie.internal.task.api.model.AccessType outputAccessType)`
`void` | `setOutputContentId(Long outputContentId)`
`void` | `setOutputType(String outputType)`
`void` | `setParentId(Long parentId)`
`void` | `setPreviousStatus(Status previousStatus)`
`void` | `setProcessId(String processId)`
`void` | `setProcessInstanceId(Long processInstanceId)`
`void` | `setProcessSessionId(Long processSessionId)`
`void` | `setSkipable(Boolean skipable)`
`void` | `setStatus(Status status)`
`void` | `setWorkItemId(Long workItemId)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject
`convertListFromInterfaceToJaxbImpl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxbTaskData

    public JaxbTaskData()

### JaxbTaskData

    public JaxbTaskData(TaskData taskData)

Method Detail

### getStatus

    public Status getStatus()

  Specified by:
    `getStatus` in interface `TaskData`

### setStatus

    public void setStatus(Status status)

### getPreviousStatus

    public Status getPreviousStatus()

  Specified by:
    `getPreviousStatus` in interface `TaskData`

### setPreviousStatus

    public void setPreviousStatus(Status previousStatus)

### getActualOwner

    public User getActualOwner()

  Specified by:
    `getActualOwner` in interface `TaskData`

### getActualOwnerId

    public String getActualOwnerId()

### setActualOwnerId

    public void setActualOwnerId(String actualOwnerId)

### getCreatedBy

    public User getCreatedBy()

  Specified by:
    `getCreatedBy` in interface `TaskData`

### getCreatedById

    public String getCreatedById()

### setCreatedById

    public void setCreatedById(String createdById)

### getCreatedOn

    public Date getCreatedOn()

  Specified by:
    `getCreatedOn` in interface `TaskData`

### setCreatedOn

    public void setCreatedOn(Date createdOn)

### getActivationTime

    public Date getActivationTime()

  Specified by:
    `getActivationTime` in interface `TaskData`

### setActivationTime

    public void setActivationTime(Date activationTime)

### getExpirationTime

    public Date getExpirationTime()

  Specified by:
    `getExpirationTime` in interface `TaskData`

### setExpirationTime

    public void setExpirationTime(Date expirationTime)

### isSkipable

    public boolean isSkipable()

  Specified by:
    `isSkipable` in interface `TaskData`

### setSkipable

    public void setSkipable(Boolean skipable)

### getWorkItemId

    public long getWorkItemId()

  Specified by:
    `getWorkItemId` in interface `TaskData`

### setWorkItemId

    public void setWorkItemId(Long workItemId)

### getProcessInstanceId

    public long getProcessInstanceId()

  Specified by:
    `getProcessInstanceId` in interface `TaskData`

### setProcessInstanceId

    public void setProcessInstanceId(Long processInstanceId)

### getDocumentType

    public String getDocumentType()

  Specified by:
    `getDocumentType` in interface `TaskData`

### setDocumentType

    public void setDocumentType(String documentType)

### getDocumentAccessType

    public org.kie.internal.task.api.model.AccessType getDocumentAccessType()

### setDocumentAccessType

    public void setDocumentAccessType(org.kie.internal.task.api.model.AccessType documentAccessType)

### getDocumentContentId

    public long getDocumentContentId()

  Specified by:
    `getDocumentContentId` in interface `TaskData`

### setDocumentContentId

    public void setDocumentContentId(Long documentContentId)

### getOutputType

    public String getOutputType()

  Specified by:
    `getOutputType` in interface `TaskData`

### setOutputType

    public void setOutputType(String outputType)

### getOutputAccessType

    public org.kie.internal.task.api.model.AccessType getOutputAccessType()

### setOutputAccessType

    public void setOutputAccessType(org.kie.internal.task.api.model.AccessType outputAccessType)

### getOutputContentId

    public long getOutputContentId()

  Specified by:
    `getOutputContentId` in interface `TaskData`

### setOutputContentId

    public void setOutputContentId(Long outputContentId)

### getFaultName

    public String getFaultName()

  Specified by:
    `getFaultName` in interface `TaskData`

### setFaultName

    public void setFaultName(String faultName)

### getFaultAccessType

    public org.kie.internal.task.api.model.AccessType getFaultAccessType()

### setFaultAccessType

    public void setFaultAccessType(org.kie.internal.task.api.model.AccessType faultAccessType)

### getFaultType

    public String getFaultType()

  Specified by:
    `getFaultType` in interface `TaskData`

### setFaultType

    public void setFaultType(String faultType)

### getFaultContentId

    public long getFaultContentId()

  Specified by:
    `getFaultContentId` in interface `TaskData`

### setFaultContentId

    public void setFaultContentId(Long faultContentId)

### getParentId

    public long getParentId()

  Specified by:
    `getParentId` in interface `TaskData`

### setParentId

    public void setParentId(Long parentId)

### getProcessId

    public String getProcessId()

  Specified by:
    `getProcessId` in interface `TaskData`

### setProcessId

    public void setProcessId(String processId)

### getProcessSessionId

    public long getProcessSessionId()

  Specified by:
    `getProcessSessionId` in interface `TaskData`

### setProcessSessionId

    public void setProcessSessionId(Long processSessionId)

### getComments

    public List<Comment> getComments()

  Specified by:
    `getComments` in interface `TaskData`

### setJaxbComments

    public void setJaxbComments(List<JaxbComment> comments)

### getAttachments

    public List<Attachment> getAttachments()

  Specified by:
    `getAttachments` in interface `TaskData`

### getDeploymentId

    public String getDeploymentId()

  Specified by:
    `getDeploymentId` in interface `TaskData`

### setDeploymentId

    public void setDeploymentId(String deploymentId)

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.